%global pypi_name pbr

%bcond_without bootstrap
%bcond_with tests

Summary:        Python Build Reasonableness
Name:           python-%{pypi_name}
Version:        5.11.1
Release:        1%{?dist}
License:        ASL 2.0
URL:            http://pypi.python.org/pypi/pbr
Source0:        %pypi_source

BuildRequires:  python%{python3_pkgversion}-devel git-core
%if %{with tests}
BuildRequires:  gcc gnupg2
%endif

BuildArch:      noarch

%description
PBR is a library that injects some useful and sensible default behaviors into
your setuptools run. It started off life as the chunks of code that were copied
between all of the OpenStack projects. Around the time that OpenStack hit 18
different projects each with at least 3 active branches, it seems like a good
time to make that code into a proper re-usable library.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Python Build Reasonableness
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}-setuptools
Requires:       git-core

%description -n python%{python3_pkgversion}-%{pypi_name}
Manage dynamic plugins for Python applications


%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-e %{default_toxenv}} %{!?with_bootstrap:-e docs}


%prep
%autosetup -n %{pypi_name}-%{version} -p1

sed -i '/^six.*/d' test-requirements.txt
sed -i 's/hacking.*/hacking/' test-requirements.txt
sed -i '/^six.*/d' doc/requirements.txt
sed -i '/^reno.*/d' doc/requirements.txt
sed -i 's/^sphinx!=.*/sphinx/' doc/requirements.txt
sed -i 's/^sphinxcontrib-apidoc.*/sphinxcontrib-apidoc/' doc/requirements.txt
sed -i 's/^openstackdocstheme.*/openstackdocstheme/' doc/requirements.txt

%build
%pyproject_wheel

%if %{without bootstrap}
PYTHONPATH=%{pyproject_build_lib} sphinx-build doc/source html
rm -rf html/.{doctrees,buildinfo}
%endif


%install
%pyproject_install
%pyproject_save_files %{pypi_name}
mv %{buildroot}%{_bindir}/pbr %{buildroot}%{_bindir}/pbr-3
ln -s ./pbr-3 %{buildroot}%{_bindir}/pbr


%if %{with tests}
%check
export PYTHONDONTWRITEBYTECODE=1
%tox -e %{default_toxenv} -- -- -E 'test_requirement_parsing|test_pep_517_support'
%endif

%files -n python%{python3_pkgversion}-pbr -f %{pyproject_files}
%license LICENSE
%doc README.rst %{?without_bootstrap:html}
%{_bindir}/pbr
%{_bindir}/pbr-3

%changelog
* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - -1
- update to

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.10.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.10.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.10.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.10.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Xiaojie Chen <jackxjchen@tencent.com> - 5.10.0-1
- Initial build
